cdac.medinfo.enums

## Enum EnumMoodCode

- java.lang.Object
- - java.lang.Enum<EnumMoodCode>
  - - cdac.medinfo.enums.EnumMoodCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumMoodCode>

      public enum EnumMoodCode
      extends java.lang.Enum<EnumMoodCode>

  This class specify section's mood code constants used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARQ` This constant specifies arq request Mood Code
    `EVN` This constant specifies event Mood Code
    `GOL` This constant specifies goal Mood Code
    `INT` This constant specifies intend Mood Code
    `PRMS` This constant specifies promise Mood Code
    `PRP` This constant specifies proposal Mood Code
    `RQO` This constant specifies request Mood Code

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumMoodCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumMoodCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final EnumMoodCode INT

      This constant specifies intend Mood Code

    - #### ARQ

          public static final EnumMoodCode ARQ

      This constant specifies arq request Mood Code

    - #### PRMS

          public static final EnumMoodCode PRMS

      This constant specifies promise Mood Code

    - #### PRP

          public static final EnumMoodCode PRP

      This constant specifies proposal Mood Code

    - #### GOL

          public static final EnumMoodCode GOL

      This constant specifies goal Mood Code

    - #### RQO

          public static final EnumMoodCode RQO

      This constant specifies request Mood Code

    - #### EVN

          public static final EnumMoodCode EVN

      This constant specifies event Mood Code

  - ### Method Detail

    - #### values

          public static EnumMoodCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumMoodCode c : EnumMoodCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumMoodCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.